Multivariate Pattern Analysis in Python

# mvpa2.testing.datasets.autocorrelated_noise

`mvpa2.testing.datasets.``autocorrelated_noise`(ds, sr, cutoff, lfnl=3.0, bord=10, hfnl=None, add_baseline=True)

  Generate a dataset with samples being temporally autocorrelated noise.

  Parameters:

  ds : Dataset

  > Source dataset whose mean samples serves as the pedestal of the new noise samples. All attributes of this dataset will also go into the generated one.

  sr : float

  > Sampling rate (in Hz) of the samples in the dataset.

  cutoff : float

  > Cutoff frequency of the low-pass butterworth filter.

  bord : int

  > Order of the butterworth filter that is applied for low-pass filtering.

  lfnl : float

  > Low frequency noise level in percent signal (per feature).

  hfnl : float or None

  > High frequency noise level in percent signal (per feature). If None, no HF noise is added.